function Create(self)

	self.fireOn = false;
	self.alliedTeam = -1;

end

function Update(self)

	if self.ID ~= self.RootID then
		local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) then
			self.alliedTeam = ToActor(actor).Team;
		end
	end

	if self:IsActivated() then
		if self.fireOn == false then
			self.fireOn = true;
			if coalitionC4TableA ~= nil and coalitionC4TableB ~= nil then
				for i = 1, #coalitionC4TableA do
					if MovableMan:IsParticle(coalitionC4TableA[i]) and coalitionC4TableB[i] == self.alliedTeam then
						coalitionC4TableA[i].Sharpness = 2;
					end
				end
			end
		end
	else
		self.fireOn = false;
	end

end